/*###########################################################################
#                                                                           #
#                  @@@@CPU䃂W[								#
#                                                                           #
###########################################################################*/
#define __CPU_C__
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <avr/wdt.h>
#include "cpu.h"

/*****************************************************************************
*							CPUZbg
*@Fvoid
*@ߒlF----
*****************************************************************************/
void cpu_reset( void )
{ 
	cli();
	wdt_enable( WDTO_15MS );
	while ( 1 );
}

/*****************************************************************************
*							CPUAChԂɂ
*@Fuint8_t count OCR0Aɐݒ肷l
*@ߒlFvoid
*@AChԂׂ̃gK[Kv
*****************************************************************************/
void cpu_sleep( uint8_t count )
{ 
	PRR |= _BV(PRADC);								/* ADCdOFF			*/

	OCR0A = count;									/* Timer0 ݒ			*/
	TCNT0 = 0;

	set_sleep_mode( SLEEP_MODE_IDLE );				/* CPUX[v			*/
	sleep_cpu();

	PRR &= ~_BV(PRADC);								/* ADCdON			*/
}
