#define __DCDC_C__
#include "project.h"

/*****************************************************************************
*								DC/DC̏o͂ON
*
* Fuint8_t port |[gԍ( USB_A / USB_B )
* ߒlFvoid
*****************************************************************************/
void dcdc_enable( uint8_t port )
{
	if ( port == USB_A ) {
		PORTB |=  _BV( PB0 );

	} else if ( port == USB_B ) {
		PORTB |=  _BV( PB1 );
	}
}

/*****************************************************************************
*								DC/DC̏o͂OFF
*
* Fuint8_t port |[gԍ( USB_A / USB_B )
* ߒlFvoid
*****************************************************************************/
void dcdc_disable( uint8_t port )
{
	if ( port == USB_A ) {
		PORTB &= ~_BV( PB0 );

	} else if ( port == USB_B ) {
		PORTB &= ~_BV( PB1 );
	}
}

/*****************************************************************************
*								SĂDC/DC̏o͂ON
*
* Fvoid
* ߒlFvoid
*****************************************************************************/
void dcdc_enable_all( void )
{
	for ( uint8_t i = 0 ;i < USB_N ;i++ ) dcdc_enable( i );
}

/*****************************************************************************
*								SĂDC/DC̏o͂OFF
*
* Fvoid
* ߒlFvoid
*****************************************************************************/
void dcdc_disable_all( void )
{
	for ( uint8_t i = 0 ;i < USB_N ;i++ ) dcdc_disable( i );
}
