#ifndef __LCD_H__
#define __LCD_H__

#include <avr/io.h>
#include <avr/pgmspace.h>
#include "mLCD/mLCD.h"

/* J[\^Cv`				*/
typedef enum _LCD_CURSOL_TYPE { LCD_CURSOL_OFF      = 0x00 ,
								LCD_CURCOL_BLINK    = 0x01 ,
								LCD_CURSOL_UNDERBAR = 0x02
} LCD_CURSOL_TYPE;

/* 萔`							*/
#ifndef ON
#define ON 1
#endif

#ifndef OFF
#define OFF 0
#endif

/*	֐vg^Cv錾			*/
void lcdInit( uint8_t sw );
uint8_t lcdBackLightStatus( void );
void lcdSetBackLightBrightness( uint8_t lv );
void lcdBackLight( uint8_t sw );
void lcdCls( void );
void lcdCursol( LCD_CURSOL_TYPE type );
void lcdLocate( uint8_t row ,uint8_t column );
void lcdPutc( char c );
void lcdPuts( char *s );
void lcdPuts_P( const char *s );

#endif
