/*############################################################################
#                                                                            #
#             LN^[LCDuSC1602BS-BvphCo                        #
#                                                                            #
#@RpCmFFAtmelStudio 6.1(SP2)                                  #
#                                                                            #
#                                                  2012/11/17 Create by nPYO #
#                                                  2014/01/11 Update by nPYO #
#@mFW[F                                                      #
#@@Hʏ uSC1602BS-BvobNCg(16x2s)                       #
#@@Hʏ uSC1602BBWB-XA-GB-GvobNCgt(16x2s)             #
#                                                                            #
#@F                                                                    #
#    f[^p|[g͔Cӂ̃|[g̉4rbgĉ\                   #
#    |[g͔CӃ|[g̔CӃrbgĉ\                          #
#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#
#	 RWM𐧌䂵Ȃꍇ́A6{̐Ő\BusymFȗ #
#@@ɗ]ȃEGCg}ׁAXx]ƂȂB				 #
#                                                                            #
#    RWM𐧌䂷ꍇALCDBusymF铮sAȂ炩̗R   #
#    ɂALCDȂȂƖ[vɂȂ\B             #
#    ׁ̈AEIb`hbN^C}[𕹗p邱Ƃ]܂B				 #
#                                                                            #
#    DB0`DB3̓I[vŎgp邱ƁB										 #
#    HD44780̃f[^V[głEȊO̓vAbvĂB                #
#    GNDɐڑĂ܂ƁAd͂΂łȂA8bit[h     #
#    炩̗RőJڂɏo̓[hɂȂĂƃV[g댯L  #
#                                                                            #
#    d𒼐AVR|[g邱Ƃ\B(d Max 6mA)               #
#                                                                            #
#    ڑj DB4   ---  PC0                                                 #
#             DB5   ---  PC1                                                 #
#             DB6   ---  PC2                                                 #
#             DB7   ---  PC3                                                 #
#             RS    ---  PC4                                                 #
#             E     ---  PC5 --- 10KxPulldownقǂ			 #
#             R/W   ---  PD2 --- gpȂꍇGNDɐڒn邱           #
#             VDD   ---  PD3 --- ڃ|[gd͂\(ő6mA)     #
#                                                                            #
#     obNCgLEDgp̗i|[gdłgWX^  #
#                                hCu@ǂƎvBj        #
#             A     ---  15mA(CRD) --- VCC                                   #
#             K     ---  NPN-tr(C) 2SC1815̃gWX^̃RN^Ɛڑ   #
#             Tr(B) -+-  10K --- PD6 Hiɂ_                            #
#                    |                                                       #
#                    +-  100K -- GND (v_E)                            #
#             Tr(E) ---  GND                                                 #
#                                                                            #
############################################################################*/
#ifndef __LCD_H__
#define __LCD_H__

#include <avr/io.h>
#include <avr/pgmspace.h>

/************************************************************************/
/* 		@@@@@@@@[U[`		                    */
/* @@@@@@@@gpɍ킹Đݒ肷邱	                    */
/************************************************************************/
#ifdef __LCD_C__

/* RWMgp/gpݒ			*/
#define USE_RW 1					/* 0:gp RWGNDɐڑ			*/
									/* 1:gp   RW͔Cӂ̃|[gɐڑ	*/

/* dRg[gp/gpݒ	*/
#define USE_POWER 0					/* 0:gp 1:gp(HiANeBu)	*/

/* obNCggp/gpݒ		*/
#define USE_BACKLIGHT 1				/* 0:gp 1:gp(HiANeBu)	*/

/* f[^|[g`i4bitLj	*/
#define DATA_PIN PIND

/* RSM|[gErbg`			*/
#define RS_PIN PIND
#define RS_BIT PD4

/* R/WM|[gErbg`		*/
#if USE_RW
#define RW_PIN PINC
#define RW_BIT PC4
#endif

/* EM|[gErbg`			*/
#define E_PIN PINC
#define E_BIT PC5

/* d |[gErbg`			*/
#if USE_POWER
#define POWER_PIN PIND
#define POWER_BIT  3
#endif

/* obNCg |[gErbg`	*/
#if USE_BACKLIGHT
#define BACKLIGHT_PIN PIND
#define BACKLIGHT_BIT  6
#endif

#endif

/************************************************************************/
/* 		@@@@@@@@[U[`܂		                    */
/* @@@@@@@@@@@@ȉ͕ύXs								*/
/************************************************************************/

/* J[\^Cv`				*/
typedef enum _LCD_CURSOL_TYPE { LCD_CURSOL_OFF      = 0x00 ,
								LCD_CURCOL_BLINK    = 0x01 ,
								LCD_CURSOL_UNDERBAR = 0x02
} LCD_CURSOL_TYPE;

/* 萔`							*/
#ifndef ON
#define ON 1
#endif

#ifndef OFF
#define OFF 0
#endif

/*	֐vg^Cv錾			*/
void lcdInit( uint8_t sw );
uint8_t lcdBackLightStatus( void );
void lcdSetBackLightBrightness( uint8_t lv );
void lcdBackLight( uint8_t sw );
void lcdCls( void );
void lcdCursol( LCD_CURSOL_TYPE type );
void lcdLocate( uint8_t row ,uint8_t column );
void lcdPutc( char c );
void lcdPuts( char *s );
void lcdPuts_P( const char *s );

#endif
